<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">TerrainLayerBlendMap</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TerrainLayerBlendMap Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a59d79d1b5da14f42d93cdea553d50b5b">blit</a>(const PixelBox &amp;src, const Box &amp;dstBox)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a4e753bc130ea3731f71f90ab9c8f53c5">blit</a>(const PixelBox &amp;src)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#abe74e7c92015442d95044887b492875d">convertImageToTerrainSpace</a>(size_t x, size_t y, Real *outX, Real *outY)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a8a50367f64f892ae402429f5f1926a60">convertImageToUVSpace</a>(size_t x, size_t y, Real *outX, Real *outY)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ad7648915beabaa57229cfdfd4f9dd7dd">convertTerrainToImageSpace</a>(Real x, Real y, size_t *outX, size_t *outY)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a6d4912bb1b2e90443ca6ff3ecef9d57b">convertUVToImageSpace</a>(Real x, Real y, size_t *outX, size_t *outY)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a44ac5a3109a4234a298392e43df2edf0">convertUVToWorldSpace</a>(Real x, Real y, Vector3 *outWorldPos)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ab12d294404bb840b5f6a76568e5fdfdc">convertWorldToUVSpace</a>(const Vector3 &amp;worldPos, Real *outX, Real *outY)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#afc1e25e221980f7b3ce696dfc22223ca">dirty</a>()</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aa1746e4fe6ba9de17b626c1d44f56879">dirtyRect</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a6a254c8b2c5be6c8b944364ab08fcddd">download</a>()</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7a2e86bf826528459f4c9813d9f11b18">getBlendPointer</a>()</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aeb38f19289a5824a92f3d86d4d0c34f8">getBlendValue</a>(size_t x, size_t y)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a90f88bdb0784c24154ab6d55e18df722">getLayerIndex</a>() const </td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aac3a0664709cab419c63d86e7cdd3566">getParent</a>() const </td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a69fc5e9bc78cbd909bdcc5b535c9c60a">loadImage</a>(const Image &amp;img)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a92ecf7cbb439798c01a2de1596d2c32d">loadImage</a>(DataStreamPtr &amp;stream, const String &amp;ext=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ae9713419de094e337f0dcef41dd9302d">loadImage</a>(const String &amp;filename, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a40dcdac7212ac7d58bd460f4b4bf5c06">mBuffer</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a0f6b814b852b0d4646ee1de61ab3541f">mChannel</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aef9d829eacad0e5a7c9aa04d728ef27a">mChannelOffset</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a859440a85cbd4a328efbfc218462d6bb">mData</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a44410031b859e531c33bfdcb3a166452">mDirty</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a3e38361219504daeaf53c09b93c07598">mDirtyBox</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a14c104352a8d2b06d891f99679e3e9dc">mLayerIdx</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a42e5b0108901f14435d4466e893d024d">mParent</a></td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7f00a78f9c0eac408e87ebed4458546d">setBlendValue</a>(size_t x, size_t y, float val)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7ec621ee0931d9f630f800a8427c1f5d">TerrainLayerBlendMap</a>(Terrain *parent, uint8 layerIndex, HardwarePixelBuffer *buf)</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7b84ae6db639c23977a433047ec955bb">update</a>()</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a792b8ef34d78e7b27a2824f2dd6e0950">upload</a>()</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a06394bdf792fa1ee0c73dc0c0c7f9f58">~TerrainLayerBlendMap</a>()</td><td><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
